Bug 113387 - rpm 4.3 returns None rather than [] for rpm.RPMTAG_FILENAMES
rpm 4.3 returns None rather than [] for rpm.RPMTAG_FILENAMES
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm-python (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks: 113277
  Show dependency treegraph
 
Reported: 2004-01-13 09:35 EST by Paul Nasrat
Modified: 2007-04-18 13:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-14 11:25:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Nasrat 2004-01-13 09:35:15 EST
Description of problem:

rpm 4.3 no longer returns [] for RPMTAG_FILENAMES, returning None
instead.  This regression breaks anaconda packages.py here:

        totalFiles = totalFiles + len(p[rpm.RPMTAG_FILENAMES])


Version-Release number of selected component (if applicable):

rpm 4.3

How reproducible:

always

Steps to Reproduce:
1. run python fragment

  
import rpm
import os
 
ts = rpm.TransactionSet()
fd=os.open("basesystem-8.0-2.noarch.rpm", os.O_RDONLY)
hdr=ts.hdrFromFdno(fd)
  
print hdr[rpm.RPMTAG_BASENAMES]


Actual results:

None

Expected results:

[]

Additional info:
Comment 1 Jeremy Katz 2004-01-13 15:44:55 EST
These shouldn't really be empty lists anyway I don't think...
Comment 2 Jeff Johnson 2004-01-14 11:25:07 EST
Fixed in CVS, should be in rpm-4.3-0.8 when built, ditto rpm-4.2.2.

Thanks for reproducer.
Comment 3 Tom Diehl 2004-01-14 12:00:40 EST
Do you have an idea when rpm be 4.3-0.8 will be built?

Note You need to log in before you can comment on or make changes to this bug.